Credit assets

List credit assets

Retrieves a list of credit assets.

GET
/credit-assets

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

search?string

Filter by name or code.

type?string

Filter by type.

Value in"paid" | "promotional"

Response Body

application/json

curl -X GET "https://example.com/credit-assets"
{
  "credit_assets": [
    {
      "object": "credit_asset",
      "id": "creass_IhMUl3rrZ3",
      "created_at": "2026-05-13T10:09:31.569Z",
      "name": "USD promotional credits",
      "description": "Promotional credits in USD for Northwind sandbox.",
      "code": "USD",
      "price": {
        "model": "per_unit",
        "amount": 250000,
        "currency": "USD"
      }
    }
  ],
  "meta": {
    "request_id": "req_IhMUl3rrZ3",
    "current_page": 1,
    "per_page": 20,
    "total_count": 100
  }
}